org.faceless.pdf2

## Interface PropertyManager

- All Known Implementing Classes:
    PDFViewerApplet, ServletContextPropertyManager

      public interface PropertyManager

  This interface defines an object which can be used to set values to be used to control the PDF library - turning on or off debug flags, controlling the location of additional software and so on. Until 2.8.5 this class didn't exist and these values were determined by calling `System.getProperty(nnn)` instead, but this class allows those values to be more easily specified in servlets, applets and other environments where modifying the System properties isn't always appropriate or possible.
  Since:
    2.8.5

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PropertyManager` | `SYSTEM` Defines a PropertyManager which checks the `System.getProperty(java.lang.String)` method.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getProperty(String key)` Return the specified property, or `null` if no such property is set.
    `URL` | `getURLProperty(String key)` Return the specified property as a URL, or `null` if no such property is set.

- - ### Field Detail

    - #### SYSTEM

          static final PropertyManager SYSTEM

      Defines a PropertyManager which checks the `System.getProperty(java.lang.String)` method. A call to `getProperty(key)` will return the value of `System.getProperty("org.faceless.pdf2."+key)`. This PropertyManager is the default one used by the PDF library.

  - ### Method Detail

    - #### getProperty

          String getProperty(String key)

      Return the specified property, or `null` if no such property is set.

    - #### getURLProperty

          URL getURLProperty(String key)
                      throws MalformedURLException

      Return the specified property as a URL, or `null` if no such property is set.
      Throws:
        `MalformedURLException`

Copyright © 2001-2015 Big Faceless Organization